<?php
namespace ID3\PluginSample;

/**
 * Plugin shortcodes handler
 * @package ID3\PluginSample
 * Use this class to add REST call ability to your plugin
 * For more infos, see: "Adding shortcode"
 */
class Shortcode extends \ID3\Bases\Shortcode{

    function __construct(){
        parent::__construct(__NAMESPACE__);

        // define the list of shortcodes
        $list = [
            'hello',                        // use key only to target same name method
            'hello-world' => 'helloWorld'   // add a value to key to target a different method
        ];

        $this->registerAll($list);
    }



    // [id3-pluginsample-hello]
    function hello($atts, $content=null){
        $settings = $this->getSettings();
        return 'Hello from sample to ' . $settings->someData;

    }


    /**
     * Simple Hello world shortcode
     * Usage : [id3-pluginsample-hello-world]
     * 
     * @param string $name 
     */
    function helloWorld($atts, $content=null){
        // extract will turn any value/key in atts in a $variable='value' form
        extract(
            shortcode_atts([
                'name' => 'Mr. Stark',
            ], $atts)
        );

        return "This sample is happy to say: Hello {$name}";
    }

}